<template>
  <div class="bg-01 bg-contain flex flex-col w-screen h-screen overflow-hidden">
    <!-- Auth Card Container -->
    <div class="grid place-items-center mx-2 my-20 sm:my-auto">
      <!-- Auth Card -->
      <div
        class="w-full p-12 sm:w-8/12 md:w-6/12 lg:w-5/12 2xl:w-4/12 px-6 py-10 sm:px-10 sm:py-6 bg-white rounded-lg shadow-md lg:shadow-lg"
      >
        <!-- Card Title -->
        <h2
          class="text-center font-semibold text-3xl lg:text-4xl text-gray-800"
        >
          <span class="text-tek-main">S</span>'inscrire
        </h2>

        <form class="mt-8" method="POST">
          <div class="flex justify-center align-center">
            <div class="w-1/2">
              <!-- Prenom Input -->
              <label
                for="prenom"
                class="block text-xs font-semibold text-gray-600 uppercase"
              >
                Prenom
              </label>
              <input
                v-model="user.fn"
                id="prenom"
                type="prenom"
                name="prenom"
                placeholder="prenom"
                class="block w-full py-1 px-1 mt-1 mr-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
                required
              />
            </div>

            <div class="w-1/2">
              <!-- Nom Input -->
              <label
                for="nom"
                class="block text-xs font-semibold text-gray-600 uppercase"
              >
                Nom
              </label>
              <input
                v-model="user.ln"
                id="nom"
                type="nom"
                name="nom"
                placeholder="nom"
                class="block w-full py-1 px-1 mt-1 ml-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
                required
              />
            </div>
          </div>

          <!-- Pseudo Input -->
          <label
            for="pseudo"
            class="block text-xs font-semibold text-gray-600 uppercase"
          >
            Pseudo
          </label>
          <input
            v-model="user.un"
            id="pseudo"
            type="pseudo"
            name="pseudo"
            placeholder="pseudo"
            class="block w-full py-1 px-1 mt-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            required
          />

          <!-- Adresse Input -->
          <label
            for="adresse"
            class="block text-xs font-semibold text-gray-600 uppercase"
          >
            Adresse
          </label>
          <input
            v-model="user.addr"
            id="adresse"
            type="text"
            name="adresse"
            placeholder="addresse"
            class="block w-full py-1 px-1 mt-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            required
          />

          <!-- Email Input -->
          <label
            for="email"
            class="block text-xs font-semibold text-gray-600 uppercase"
          >
            E-mail
          </label>
          <input
            v-model="user.email"
            id="email"
            type="email"
            name="email"
            placeholder="e-mail address"
            autocomplete="email"
            class="block w-full py-1 px-1 mt-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            required
          />

          <!-- Password Input -->
          <label
            for="password"
            class="block mt-2 text-xs font-semibold text-gray-600 uppercase"
          >
            Mot de passe
          </label>
          <input
            v-model="user.password"
            id="password"
            type="password"
            name="password"
            placeholder="password"
            autocomplete="current-password"
            class="block w-full py-1 px-1 mt-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            :class="matchPsw"
            required
          />

          <!-- confirm Password Input -->
          <label
            for="password"
            class="block mt-2 text-xs font-semibold text-gray-600 uppercase"
          >
            Confirmer le mot de passe
          </label>
          <input
            v-model="user.confirm"
            id="password"
            type="password"
            name="password"
            placeholder="password"
            autocomplete="current-password"
            class="block w-full py-1 px-1 mt-2 mb-2 text-gray-800 appearance-none border-b-2 border-gray-100 focus:text-gray-500 focus:outline-none focus:border-gray-200"
            :class="matchPsw"
            required
          />

          <!-- Register Buttton -->
          <button
            @click.once.prevent="handleRegister()"
            type="submit"
            class="w-full py-3 mt-10 bg-tek-main text-tek-black rounded-sm font-medium text-white uppercase focus:outline-none hover:bg-gray-700 hover:shadow-none"
          >
            S'inscrire
          </button>

          <!-- Another Auth Routes -->
          <div class="sm:flex sm:flex-wrap mt-8 sm:mb-4 text-sm text-center">
            <inertia-link :href="route('index')">
              <span class="flex-2 underline text-tek-black">
                Retour accueil
              </span>
            </inertia-link>
            <p class="flex-1 text-tek-black text-md mx-4 my-1 sm:my-auto">
              ou
            </p>
            <inertia-link :href="route('login')">
              <span class="flex-2 underline text-tek-black">
                Se connecter
              </span>
            </inertia-link>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      user: {
        fn: null,
        ln: null,
        un: null,
        addr: null,
        email: null,
        password: null,
        confirm: null,
      },
    }
  },
  computed: {
    matchPsw() {
      if (this.user.password != this.user.confirm) {
        return 'border border-red-800 text-red-800'
      }
    },
  },
  methods: {
    handleRegister() {
      if (this.user.password == this.user.confirm) {
        this.$inertia.post(this.route('regist'), this.user)
      } else {
        this.$inertia.get(this.route('register'))
      }
    },
  },
}
</script>
